Skip to content

Media Owner API Examples

Introduction

Use this topic to explore practical API (application programming interface) requests for using the Media Owner API. Here you’ll find examples for common actions like approving, denying, tagging, and retrieving creatives—plus batch operations and asset access.

What You’ll Learn

In this topic, you'll learn how to:

Get a List of Creatives for Approval

Use this request to get a paginated list of creatives that still need approval. To help you prioritize your reviews, results are sorted from oldest to newest,. You’ll receive up to 20 creatives per page.

Sample Request

GET https://platform-api.vistarmedia.com/api/ssp/v1/creatives?page_size=20&page=0&order=audit.create_time&asc=true&filter=audit.status:pending

Approve or Deny a Creative

Use this endpoint to update the approval status of a specific creative.

Approve a Creative

Sample Request

PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:00y5XQZ0QWie0kjCKFCivA

Sample JSON Request Body

{
  "audit": {
    "status": "APPROVED"
  }
}

Deny a Creative

Sample Request

PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:00y5XQZ0QWie0kjCKFCivA

Sample JSON Request Body

{
  "audit": {
    "status": "DENIED"
  }
}

Add Tags or Categories to a Creative

You can assign tags or categories to a creative as part of the creative approval process—or update them separately.

Sample Request

PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:00y5XQZ0QWie0kjCKFCivA

Sample JSON Request Body

{
  "audit": {
    "tag_ids": [
      "A5ZWu4p0RkKiJqAYNgKo3w"
    ],
    "category_ids": [
      "IAB15-1",
      "IAB22"
    ]
  }
}

Batch Approve or Update Creatives

Use this endpoint to update multiple creatives at once. You can approve, deny, or assign tags and categories in a single call—up to 100 creatives per request.

Sample Request

PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/

Sample JSON Request Body

{
  "creatives": [
    {
      "id": "xKgdLkHaSVexQYurJmRIkw:0MdIpRogSWi5tIMtqox0Sw",
      "audit": {
        "status": "APPROVED"
      }
    },
    {
      "id": "429kp1cDR869Sz6Eoe4JLw:apGvurD3RFqSBBWDJFCK9w",
      "audit": {
        "status": "APPROVED",
        "category_ids": [
          "IAB15-1",
          "IAB22"
        ],
        "tag_ids": [
          "A5ZWu4p0RkKijqAYNgKo3w"
        ]
      }
    },
    {
      "id": "xKgdLkHaSVexQYurJmRIkw:apGvurD3RFqSBBWDJFCK9w",
      "audit": {
        "status": "DENIED",
        "message": "This is the denial message."
      }
    }
  ]
}

Create a New Tag

Use this endpoint to create a new tag to help organize your creatives. After you create the tag, the response includes its ID, which you can use to label creatives for targeting, reporting, or categorization.

Sample Request

POST https://platform-api.vistarmedia.com/api/ssp/v1/tags

Sample JSON Request Body

{
  "name": "my new tag"
}

Sample Response

{
  "id": "BPC9ZA_jTiSNqnia3ijIfw",
  "name": "my new tag"
}

Search for Creative Categories by Name

Use this search endpoint to find creative categories by name. This is especially helpful when assigning categories during the approval process. The following sample returns all categories with the word “automotive”.

Sample Request

GET https://platform-api.vistarmedia.com/api/ssp/v1/creative_categories?search=name%3Aautomotive

Retrieve the Names of Several Advertisers

If you’re populating a user interface and need to look up user-friendly field names, use this endpoint. It supports up to 100 filter parameters in a single request so you can batch-resolve IDs to readable names.

Sample Request

GET https://platform-api.vistarmedia.com/api/ssp/v1/advertisers?filter=id:cd0vcnTsza_GRBL2khoKg&filter=id:q6xvzuWSAqnU2Ebt-4AWQ&filter=id:wj7ZtLdsSSvaMGvturAsg&filter=id%3A8UM7Dw0iR16m9gYhevFd&filter=id%3Ab26jsC_9QCC8tr2Z-xfSWv&filter=id%3Acr62fHhS5869jS3Each-vQ&filter=id%3AzhTnI0XQPC36Gp3fHqbZAk

Retrieve Full-size Creative Assets

When you need a URL for the full-size version of a creative (image or video) for review, use this endpoint. It returns all assets and formats associated with the Creative ID you provide.

Sample Request

GET https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:0J2pv8uaQV67JynYERiL40/assets

More Resources

To learn more about this topic, see: